# Search retirements Searches for all retirements for given program and/or between given date range Endpoint: POST /retirements/account/{AccountIdentifier}/action/search Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Query parameters: - `include` (string) Comma-separated values from optional response fields ## Request fields (application/json): - `program` (string) Ref.Data.REGISTRY_PROGRAM_REGI - `lastUpdatedDateFrom` (string) - `lastUpdatedDateTo` (string) - `externalIdentifier` (string) ## Response 200 fields (application/json): - `retirements` (array, required) - `retirements.instrument` (any, required) - `retirements.lastUpdatedDate` (string, required) Last updated date. - `retirements.createdDate` (string, required) Creation date. - `retirements.quantity` (integer, required) Retirement quantity. - `retirements.status` (string, required) Status of the retirement. Enum: "NEW", "PENDING_RETIREMENT", "PENDING_CUSTODIAN_RETIREMENT", "RETIRED", "FAILED", "CANCELLED", "REJECTED", "NOT_FOUND" - `retirements.batchIdentifier` (string, required) XPC Retirement batch identifier - `retirements.identifier` (string, required) XPC Retirement identifier - `retirements.externalIdentifier` (string) Retirement identifier provided by API client when creating the retirement - `retirements.registryTransferIdentifier` (string) Retirement identifier generated by the program - `retirements.registryPositionId` (string) Id of the retired registry credits - `retirements.attributes` (object) ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_PROGRAM", "INVALID_REQUEST", "INVALID_DATES" ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 404 fields